// DullAluminum
#declare DullAluminum =
   material
   {
      texture
      {
         pigment
         {
            color rgb <0.8, 0.8, 0.8>
         }
         finish
         {
            ambient 0.5
            diffuse 0.7
            brilliance 8.0
            specular 1.0
            roughness 0.2
            metallic 2.0
         }
      }
   }

// ClearGlass
#declare ClearGlass =
   material
   {
      texture
      {
         pigment
         {
            color rgbf <0.98, 0.98, 0.98, 0.9>
         }
         finish
         {
            ambient 0.1
            diffuse 0.1
            phong 1.0
            phong_size 100.0
            specular 0.8
            roughness 0.0003
            reflection 0.1
         }
      }
      interior
      {
         ior 1.45
      }
   }

// PolishedChrome
#declare PolishedChrome =
   material
   {
      texture
      {
         pigment
         {
            color rgb <1.0, 1.0, 1.0>
         }
         finish
         {
            ambient 0.5
            diffuse 1.0
            brilliance 8.0
            phong 1.0
            phong_size 120.0
            roughness 0.1
            metallic 1.0
            reflection 0.6
         }
      }
   }

// GlossBlack
#declare GlossBlack =
   material
   {
      texture
      {
         pigment
         {
            color rgb <0.0, 0.0, 0.0>
         }
         finish
         {
            ambient 0.15
            specular 0.5
            roughness 0.006139
            reflection 0.1
         }
      }
   }

// FlatBlack
#declare FlatBlack =
   material
   {
      texture
      {
         pigment
         {
            color rgb <0.0, 0.0, 0.0>
         }
         normal
         {
            granite , 0.025
            scale  0.005
         }
         finish
         {
            ambient 0.1
            brilliance 0.0
            phong_size 0.0
            specular 0.2
            roughness 0.4
         }
      }
   }

// FlatRed
#declare FlatRed =
   material
   {
      texture
      {
         pigment
         {
            color rgb <0.7, 0.0, 0.0>
         }
         normal
         {
            granite , 0.025
            scale  0.005
         }
         finish
         {
            ambient 0.3
            diffuse 0.5
            phong_size 0.0
            specular 0.1
            roughness 0.4
         }
      }
   }

// TireTreadGray
#declare TireTreadGray =
   material
   {
      texture
      {
         pigment
         {
            granite
            color_map
            {
               [ 0.0     rgbft <0.0, 0.0, 0.0, 0.0, 0.0> ]
               [ 1.0     rgbft <0.831373, 0.831373, 0.831373, 0.0, 0.0> ]
            }
            scale  0.001
         }
         normal
         {
            granite , 0.025
            scale  0.005
         }
         finish
         {
            ambient 0.1
            brilliance 0.0
            phong_size 0.0
            specular 0.2
            roughness 0.4
         }
      }
   }

// FlatWhite
#declare FlatWhite =
   material
   {
      texture
      {
         pigment
         {
            color rgb <1.0, 1.0, 1.0>
         }
         normal
         {
            granite , 0.025
            scale  0.005
         }
         finish
         {
            ambient 0.3
            diffuse 0.5
            phong_size 0.0
            specular 0.1
            roughness 0.4
         }
      }
   }

// CastSteel
#declare CastSteel =
   material
   {
      texture
      {
         pigment
         {
            color rgb <0.6, 0.6, 0.6>
         }
         normal
         {
            bumps , 1.5
            scale  0.015
         }
         finish
         {
            ambient 0.5
            diffuse 0.7
            brilliance 8.0
            specular 1.0
            roughness 0.2
            metallic 2.0
         }
      }
   }

// DullSteel
#declare DullSteel =
   material
   {
      texture
      {
         pigment
         {
            color rgb <0.6, 0.6, 0.6>
         }
         finish
         {
            ambient 0.5
            diffuse 0.7
            brilliance 8.0
            specular 1.0
            roughness 0.2
            metallic 2.0
         }
      }
   }

// PowderCoatRed
#declare PowderCoatRed =
   material
   {
      texture
      {
         pigment
         {
            color rgb <1.0, 0.0, 0.0>
         }
         finish
         {
            ambient 0.1
            diffuse 0.8
            brilliance 6.0
            phong 1.0
            phong_size 80.0
            specular 1.0
            reflection 0.4
         }
      }
   }

// QuiltedVinylRed
#declare QuiltedVinylRed =
   material
   {
      texture
      {
         pigment
         {
            color rgb <0.7, 0.0, 0.0>
         }
         normal
         {
            quilted , 3.0
            control0 0.0
            control1 0.0
            rotate 20.0 * x
         }
         finish
         {
            ambient 0.15
            specular 0.7266
            roughness 0.1
         }
      }
   }

// TailLightTexture
#declare TailLightTexture =
   material
   {
      texture
      {
         pigment
         {
            color rgbf <0.75, 0.0, 0.0, 0.5>
         }
         normal
         {
            onion , 5.0
            frequency 2.0
            ramp_wave
            scale  0.1
         }
         finish
         {
            ambient 0.15
            specular 0.7266
            roughness 0.1
         }
      }
   }

// BlueDotRough
#declare BlueDotRough =
   material
   {
      texture
      {
         pigment
         {
            color rgbf <0.0, 0.0, 0.5004, 0.5>
         }
         normal
         {
            quilted , 5.0
            control0 0.0
            control1 1.0
            scale  0.2
         }
         finish
         {
            ambient 0.15
            specular 0.7266
            roughness 0.1
         }
      }
   }

// BlueDotSmooth
#declare BlueDotSmooth =
   material
   {
      texture
      {
         pigment
         {
            color rgbf <0.0, 0.0, 0.5004, 0.5>
         }
         finish
         {
            ambient 0.15
            specular 0.7266
            roughness 0.1
         }
      }
   }

// BlueBlack
#declare BlueBlack =
   material
   {
      texture
      {
         pigment
         {
            color rgb <0.0, 0.0, 0.2>
         }
         finish
         {
            ambient 0.5
            diffuse 0.2
            brilliance 10.0
            phong 1.0
            phong_size 120.0
            specular 0.3
            roughness 0.1
            metallic 2.0
            reflection 0.4
            crand 0.5
         }
      }
   }

// HeadlightTexture
#declare HeadlightTexture =
   material
   {
      texture
      {
         pigment
         {
            color rgbf <1.0, 1.0, 1.0, 1.0>
         }
         normal
         {
            quilted , 1.0
            control0 0.0
            control1 1.0
            scale  <0.6, 0.3, 0.6>
         }
         finish
         {
            ambient 0.1
            diffuse 0.0
            phong 0.3
            phong_size 90.0
            reflection 0.2
         }
      }
      interior
      {
         ior 1.5
      }
   }

// OrangePaintOnCastIron
#declare OrangePaintOnCastIron =
   material
   {
      texture
      {
         pigment
         {
            color rgb <1.0, 0.5, 0.0>
         }
         normal
         {
            bumps , 1.5
            scale  0.015
         }
         finish
         {
            ambient 0.15
            specular 0.7266
            roughness 0.006139
         }
      }
   }

// CastAluminum
#declare CastAluminum =
   material
   {
      texture
      {
         pigment
         {
            color rgb <0.8, 0.8, 0.8>
         }
         normal
         {
            bumps , 1.5
            scale  0.015
         }
         finish
         {
            ambient 0.5
            diffuse 0.7
            brilliance 8.0
            specular 1.0
            roughness 0.2
            metallic 2.0
         }
      }
   }

// PowderCoatBlue
#declare PowderCoatBlue =
   material
   {
      texture
      {
         pigment
         {
            color rgb <0.0, 0.0, 0.8>
         }
         finish
         {
            ambient 0.1
            diffuse 0.8
            brilliance 6.0
            phong 1.0
            phong_size 80.0
            specular 1.0
            reflection 0.4
         }
      }
   }

// BraidedStainlessSteelHose
#declare BraidedStainlessSteelHose =
   material
   {
      texture
      {
         pigment
         {
            color rgb <0.6, 0.6, 0.6>
         }
         normal
         {
            quilted , 5.0
            control0 0.0
            control1 0.0
            scale  0.125
            rotate -45.0 * y
         }
         finish
         {
            ambient 0.5
            diffuse 0.7
            brilliance 8.0
            specular 1.0
            roughness 0.1
            metallic 2.0
         }
      }
   }

// FlatLightRed
#declare FlatLightRed =
   material
   {
      texture
      {
         pigment
         {
            color rgb <1.0, 0.5, 0.5>
         }
         normal
         {
            granite , 0.025
            scale  0.005
         }
         finish
         {
            ambient 0.3
            diffuse 0.5
            phong_size 0.0
            specular 0.1
            roughness 0.4
         }
      }
   }

// FlatYellow
#declare FlatYellow =
   material
   {
      texture
      {
         pigment
         {
            color rgb <1.0, 1.0, 0.2>
         }
         normal
         {
            granite , 0.025
            scale  0.005
         }
         finish
         {
            ambient 0.3
            diffuse 0.5
            phong_size 0.0
            specular 0.1
            roughness 0.4
         }
      }
   }

// SemiGlossWhite
#declare SemiGlossWhite =
   material
   {
      texture
      {
         pigment
         {
            color rgb <1.0, 1.0, 1.0>
         }
         finish
         {
            ambient 0.15
            specular 0.7266
            roughness 0.006139
         }
      }
   }
